# generated by cabal-rpm-2.2.0
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

# needs fedora-repos and dnf
%bcond_with tests

Name:           dnf-repo
Version:        0.5.6
Release:        1%{?dist}
Summary:        DNF wrapper tool to control repos

License:        BSD-3-Clause
Url:            https://hackage.haskell.org/package/%{name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-Glob-devel
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-curl-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-extra-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-http-directory-devel
BuildRequires:  ghc-simple-cmd-devel
BuildRequires:  ghc-simple-cmd-args-devel
BuildRequires:  ghc-simple-prompt-devel
BuildRequires:  help2man
# End cabal-rpm deps
%if %{with tests}
BuildRequires:  dnf
BuildRequires:  fedora-repos
%endif

%description
A command-line wrapper of the dnf package manager to control the repos enabled
for a dnf invocation.


%prep
# Begin cabal-rpm setup:
%setup -q
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_bin_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_bin_install

mkdir -p %{buildroot}%{_datadir}/bash-completion/completions/
%{buildroot}%{_bindir}/%{name} --bash-completion-script %{name} | sed s/filenames/default/ > %{buildroot}%{_datadir}/bash-completion/completions/%{name}

mkdir -p %{buildroot}%{_mandir}/man1/
help2man --no-info %{buildroot}%{_bindir}/%{name} > %{buildroot}%{_mandir}/man1/%{name}.1
# End cabal-rpm install


%check
%if %{with tests}
PATH=%{buildroot}%{_bindir}:$PATH
%cabal_test
%endif


%files
# Begin cabal-rpm files:
%license LICENSE
%doc ChangeLog.md README.md
%{_bindir}/%{name}
%{_datadir}/%{name}-%{version}
%{_datadir}/bash-completion/completions/%{name}
%{_mandir}/man1/%{name}.1*
# End cabal-rpm files


%changelog
* Thu Apr 18 2024 Jens Petersen <petersen@redhat.com> - 0.5.6-1
- https://hackage.haskell.org/package/dnf-repo-0.5.6/changelog

* Sun Jul 02 2023 Jens Petersen <petersen@redhat.com> - 0.5.5-1
- https://hackage.haskell.org/package/dnf-repo-0.5.5/changelog

* Sat May 06 2023 Jens Petersen <petersen@redhat.com> - 0.5.4-1
- https://hackage.haskell.org/package/dnf-repo-0.5.4/changelog

* Sat Dec 31 2022 Jens Petersen <petersen@redhat.com> - 0.5.3-1
- https://hackage.haskell.org/package/dnf-repo-0.5.3/changelog

* Mon Nov 28 2022 Jens Petersen <petersen@redhat.com> - 0.5.2-1
- https://hackage.haskell.org/package/dnf-repo-0.5.2/changelog

* Tue Nov 08 2022 Jens Petersen <petersen@redhat.com> - 0.5.1-1
- https://hackage.haskell.org/package/dnf-repo-0.5.1/changelog

* Mon Oct 24 2022 Jens Petersen <petersen@redhat.com> - 0.5-1
- https://hackage.haskell.org/package/dnf-repo-0.5/changelog

* Thu Oct 20 2022 Jens Petersen <petersen@redhat.com> - 0.4-1
- https://hackage.haskell.org/package/dnf-repo-0.4/changelog

* Fri Aug 12 2022 Jens Petersen <petersen@redhat.com> - 0.3-1
- https://hackage.haskell.org/package/dnf-repo-0.3/changelog

* Fri Aug 12 2022 Jens Petersen <petersen@redhat.com> - 0.2-1
- https://hackage.haskell.org/package/dnf-repo-0.2/changelog

* Mon Jun 20 2022 Jens Petersen <petersen@redhat.com> - 0.1-1
- https://hackage.haskell.org/package/dnf-repo-0.1/changelog
